package com.ruoyi.demo.entity.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.demo.entity.Brand;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class BrandSimilar implements Serializable {
    private String brandId;
    private String brandName;
    private String brandImg;
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public BrandSimilar() {
    }

    public BrandSimilar(Brand brand) {
        this.brandId = brand.getBrandId();
        this.brandName = brand.getBrandName();
        this.brandImg = brand.getBrandImg();
        this.updateTime = brand.getUpdateTime();
    }
}
